{{define "sourcesList"}}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    <title>Источники</title>
</head>
<body>
    <nav class="navbar navbar-light bg-light col-4">
        <div class="container-fluid">
            <span class="navbar-brand mb-0 h1">Список источников</span>
            <a class="navbar-brand" href="/">На главную</a>
        </div>
    </nav>
    {{range .}}
    <div class="col-8 row">
        <a class="col-5 justify-content-left" href="{{.Url}}">{{.Url}}</a>
        <form class="justify-content-right col-2" action="/deleteSource" method="post">
        <button class="btn btn-danger" type="submit" name="Id" value="{{.Id}}">Удалить</button>
        </form>
    </div>
    <br>
    {{end}}
    <div class="row col-10">
        <form class="justify-content-right col-4" action="/add_source_page" method="get">
        <button class="btn btn-success" type="submit">Добавить источник</button>
        </form>
    </div>
    
</body>
</html>
{{end}}